:root {
    --black: #171321;
    --dkblue: #0d314b;
    --plum: #4b0d49;
    --hotmag: #ff17e4;
    --magenta: #e310cb;
    --aqua: #86fbfb;
    --white: #f7f8fa;
    --font-size: 1.3rem;
    --mono: "Oxygen mono", monospace;
    --sans: Oxygen, sans-serif;
}
/* border box model: https://css-tricks.com/box-sizing/ */
html {
    box-sizing: border-box;
}
*,
*::before,
*::after {
    box-sizing: inherit;
}
/* generic styles for the page */
body {
    padding: 0;
    margin: 0;
    font-family: var(--sans);
    background-color: var(--plum);
    color: var(--white);
    font-size: var(--font-size);
}
h1,
h2,
h3 {
    margin: 0;
}
a {
    color: var(--magenta);
}

a:hover {
    color: var(--hotmag);
    text-decoration: none;
}
/* intro styles */
#intro {
    padding-bottom: 10rem;
}

#intro p {
    font-size: 1rem;
    line-height: 1.5;
}

#intro .name {
    font-family: var(--mono);
    font-size: 1rem;
}

.name span {
    font-family: var(--sans);
    font-size: 4rem;
    color: var(--aqua);
    display: block;
    font-weight: 300;
}

#intro h2 {
    font-size: 4rem;
}
